> For the complete documentation index, see [llms.txt](https://docs.vida.id/identity-stack/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vida.id/identity-stack/verify/biometric-verification/api-reference/invalid-data-of-biometric-verification.md).

# Invalid Data of Biometric Verification

In the **Biometric Verification** process, an **Invalid Data** scenario occurs when users attempt to perform **Image Face Match Verification** and **Image Liveness Verification** but provide incomplete or incorrect data. A common example of this scenario is when a user submits a **blank face image** along with a **valid ID card image**.

In such cases:

* The **Image Liveness Verification** will automatically fail as it requires a valid face image to detect real-time facial movements and confirm the presence of a live person.
* Since **Image Face Match Verification** is dependent on a successful **Image Liveness Verification**, the API will not proceed with the face match process and no response will be returned for this operation.

This validation flow ensures that the **Biometric Verification** process maintains high security standards by preventing incomplete or fraudulent data from passing through the system. To avoid this issue, users must provide valid and clear images for both the face and ID card when initiating the verification process.

#### Headers

<table><thead><tr><th width="180.44921875">Name</th><th width="164.78515625">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authentication*</td><td>String</td><td>Bearer &#x3C;Token></td></tr><tr><td>Content-Type</td><td></td><td>Format type of request body</td></tr></tbody></table>

#### **Request Body**

<table><thead><tr><th width="180.46875">Name</th><th width="164.52734375">Type</th><th>Description</th></tr></thead><tbody><tr><td>operations*</td><td>String</td><td>["imageFaceMatchVerification","imageLivenessVerification"]</td></tr><tr><td>payload*</td><td>String</td><td>{ "partnerTrxId": "random-uuid","groupId": "random-uuid",""faceImage": "Base64 of blank image encoded. ,"croppedFaceImage"or"idFrontSideImage": "Encoded Base64 idcard"}​</td></tr><tr><td>userConsent*</td><td>String</td><td>{ "userIP": "0.0.0.0", "country": "MYS", "obtained": true, "obtainedAt": "1680700959" }</td></tr></tbody></table>

### Sample Request and Response <a href="#sample-request-and-response" id="sample-request-and-response"></a>

<details>

<summary>Sample Request</summary>

```json
{
  "operations": [
    "imageFaceMatchVerification",
    "imageLivenessVerification"
  ],
  "payload": {
    "partnerTrxId": "{{$guid}}",
    "groupId": "{{$guid}}",
    "faceImage": "Base 64 of blank face",
    "idFrontSideImage": "Base 64 of valid id card"
  },
  "userConsent": {
    "userIp": "226.80.211.232",
    "country": "MYS",
    "obtained": true,
    "obtainedAt": "1680700959"
  }
}
```

</details>

#### Response <a href="#response" id="response"></a>

<details>

<summary>Sample Response</summary>

```json
{
    "transactionId": "ea93fff7-3a58-4ac9-9b07-e2e4290562ab",
    "partnerTrxId": "c745dc9a-6381-4ade-8bbb-367998630b53",
    "groupId": "662f3948-3bdc-45d1-9f78-1305fdee7db3",
    "errors": [
        {
            "message": "No face detected",
            "code": 1055,
            "operations": [
                "imageFaceMatchVerification",
                "imageLivenessVerification"
            ]
        }
    ]
}
```

</details>

1. If error is associated with dark face

<details>

<summary>JSON Response</summary>

```json
{
    "transactionId": "7ea8aa80-6e28-42bf-acc2-af5aa353ee2e",
    "partnerTrxId": "5bff76f0-38f7-4ace-bb60-b32e4fd1fac5",
    "groupId": "e9e4e04f-2bf7-4d2f-8861-7f970e1d0005",
    "errors": [
        {
            "message": "Under Exposure",
            "code": 1074,
            "operations": [
                "imageFaceMatchVerification",
                "imageLivenessVerification"
            ]
        }
    ]
}
```

</details>

2. If error is associated with black and white face

<details>

<summary>JSON Response</summary>

```json
{
    "transactionId": "472f2513-fc92-422b-b0ca-bb7b355f82c5",
    "partnerTrxId": "8f9d373e-17da-4384-a89d-6d21548de026",
    "groupId": "7cf0236a-70b9-4f91-a1a0-fa71127c8321",
    "errors": [
        {
            "message": "Unnatural colour",
            "code": 1063,
            "operations": [
                "imageFaceMatchVerification",
                "imageLivenessVerification"
            ]
        }
    ]
}
```

</details>

3. if error is associated with valid base 64 face image and invalid cropped Face Image or idFrontSideImage

<details>

<summary>JSON Response</summary>

```json
{
    "transactionId": "2fecebe4-8ff5-4d42-8086-36bb15b092f7",
    "partnerTrxId": "56a303aa-333d-4f5e-a311-e4b59cf8d19e",
    "groupId": "663baa3a-f825-49f6-99ee-7d7b7e52ed95",
    "errors": [
        {
            "message": "faceImage should be a valid base64 encoded string",
            "code": 5003,
            "fieldName": "payload.faceImage",
            "operations": [
                "imageFaceMatchVerification",
                "imageLivenessVerification"
            ]
        }
    ]
}
```

</details>

4. If error is associated with valid base 64 face image and invalid cropped Face Image or idFrontSideImage.

<details>

<summary>JSON Response</summary>

```json
{
    "transactionId": "8e5d4133-2e09-478a-b469-f1d3a39a6a26",
    "partnerTrxId": "4c5e74cd-f292-4db7-9005-fd5454734abf",
    "groupId": "659ff558-b243-438d-a0f0-39fd3121feab",
    "errors": [
        {
            "message": "Invalid base64 encoded image string or unable to detect face",
            "code": 1038,
            "operations": [
                "imageFaceMatchVerification"
            ]
        }
    ],
    "imageLivenessVerificationResult": {
        "data": {
            "code": 1043,
            "message": "Selfie photo is a live photo",
            "score": 0.814287
        }
    }
}
```

</details>

5. If error is associated with multiple face image and valid cropped Face Image or idFrontSideImage

<details>

<summary>JSON Response</summary>

```json
{
    "transactionId": "957cf220-084b-4eee-8822-543dfc5968c2",
    "partnerTrxId": "0725edf0-d4e3-45d5-9b51-87942061e21b",
    "groupId": "decae12b-774e-48be-a7b0-4605fea81d43",
    "errors": [
        {
            "message": "Face Occluded",
            "code": 1051,
            "operations": [
                "imageLivenessVerification",
                "imageFaceMatchVerification"
            ]
        }
    ]
}
```

</details>

6. If error is associated with multiple face image and valid cropped Face Image or idFrontSideImage.

<details>

<summary>JSON Response</summary>

```json
{
    "transactionId": "7eb54ba0-e0ed-4075-ba32-b0b4b2cba745",
    "partnerTrxId": "8f555315-fdf0-4c6e-8df6-00341192da61",
    "groupId": "4df9a84e-f222-4bed-8e5a-d463803603ea",
    "errors": [
        {
            "message": "More than one face",
            "code": 1054,
            "operations": [
                "imageLivenessVerification",
                "imageFaceMatchVerification"
            ]
        }
    ]
}
```

</details>

7. if error is associated with Over expose face image and valid cropped Face Image or idFrontSideImage

<details>

<summary>JSON Response</summary>

```json
{
    "transactionId": "3459ff07-da48-4481-8027-e67cfddba346",
    "partnerTrxId": "5665b347-a5b0-47f6-80ec-91d4d47896c0",
    "groupId": "6caea267-601c-4046-b884-f8adf08751df",
    "errors": [
        {
            "message": "Over Exposure",
            "code": 1075,
            "operations": [
                "imageLivenessVerification",
                "imageFaceMatchVerification"
            ]
        }
    ]
}
```

</details>

8. If error is associated with blur face image and valid cropped Face Image or idFrontSideImage

<details>

<summary>JSON Response</summary>

```json
{
    "transactionId": "7bcd386b-dcf7-421b-9ad5-a25c0b534f82",
    "partnerTrxId": "cb4416f4-d685-49ec-a84b-5f93c88c4f5b",
    "groupId": "490eb651-7d90-416e-b721-ec7682a52f21",
    "errors": [
        {
            "message": "Image Is Blur",
            "code": 1076,
            "operations": [
                "imageFaceMatchVerification",
                "imageLivenessVerification"
            ]
        }
    ]
}
```

</details>

9. If error is associated with too far face image and valid cropped Face Image or idFrontSideImageComment

<details>

<summary>JSON Response</summary>

```json
{
    "transactionId": "35b268de-9e05-4fc7-a40a-ca197088ba19",
    "partnerTrxId": "654115c8-36ae-4626-91f1-39cc3f650b3c",
    "groupId": "02218d41-8b2d-498b-98bc-9ccf77c6ebd5",
    "errors": [
        {
            "message": "Face too small",
            "code": 1052,
            "operations": [
                "imageLivenessVerification",
                "imageFaceMatchVerification"
            ]
        }
    ]
}
```

</details>

10. If error is associated with livness score below threshold

<details>

<summary>JSON Response</summary>

```json
{
    "transactionId": "80208f7c-0123-4e32-baec-85631d865e0e",
    "partnerTrxId": "afef5700-fd6b-4ca9-a350-68778fde0f83",
    "groupId": "8865fe8b-c861-4fa2-b601-a8d203c2aad5",
    "errors": [
        {
            "message": "Photo liveness score is below the threshold",
            "code": 1041,
            "operations": [
                "imageFaceMatchVerification",
                "imageLivenessVerification"
            ]
        }
    ]
}
```

</details>
